.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptEditor.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptEditor:

VisualScriptEditor
==================

**Inherits:** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+-------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| void  | :ref:`add_custom_node<class_VisualScriptEditor_add_custom_node>` **(** :ref:`String<class_string>` name, :ref:`String<class_string>` category, :ref:`Script<class_script>` script **)** |
+-------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| void  | :ref:`remove_custom_node<class_VisualScriptEditor_remove_custom_node>` **(** :ref:`String<class_string>` name, :ref:`String<class_string>` category **)**                               |
+-------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+

Signals
-------

.. _class_VisualScriptEditor_custom_nodes_updated:

- **custom_nodes_updated** **(** **)**

Emitted when a custom Visual Script node is added or removed.


Member Function Description
---------------------------

.. _class_VisualScriptEditor_add_custom_node:

- void **add_custom_node** **(** :ref:`String<class_string>` name, :ref:`String<class_string>` category, :ref:`Script<class_script>` script **)**

Add a custom Visual Script node to the editor. It'll be placed under "Custom Nodes" with the ``category`` as the parameter.

.. _class_VisualScriptEditor_remove_custom_node:

- void **remove_custom_node** **(** :ref:`String<class_string>` name, :ref:`String<class_string>` category **)**

Remove a custom Visual Script node from the editor. Custom nodes already placed on scripts won't be removed.


